com.amazonaws.services.servermigration.model

## Class DisassociateConnectorResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.servermigration.model.DisassociateConnectorResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DisassociateConnectorResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DisassociateConnectorResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DisassociateConnectorResult` `clone()`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisassociateConnectorResult

    public DisassociateConnectorResult()

### Method Detail

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DisassociateConnectorResult clone()

Overrides:
  `clone` in class `Object`